package org.jeecg.modules.device.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.device.entity.BuDeviceLifeCircle;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 设备生命周期表
 * @Author: jeecg-boot
 * @Date:   2020-12-11
 * @Version: V1.0
 */
public interface BuDeviceLifeCircleMapper extends BaseMapper<BuDeviceLifeCircle> {

    public BuDeviceLifeCircle getLifeCircleByIdCode(@Param("deviceId") String deviceId ,@Param("deviceCode") String deviceCode);

    public BuDeviceLifeCircle getDataByDeviceId(@Param("deviceId") String deviceId);

    public String getTimeByDeviceId(@Param("deviceId") String deviceId);

    public BuDeviceLifeCircle getDateByDeviceId(@Param("deviceId") String deviceId);


}
